Please help

Discussion in '3DS - Homebrew Development and Emulators' started by Phya, Aug 31, 2016.

  1. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    I have a o3ds with A9LH on the newest firmware. I was trying to download sudokuhax (for some reason) and i tried to install a rop loader in the dsi homebrewmenu. This worked perfectly so i turned off my 3ds and left it for a few hours. I came back to it and tried to run some dsiware, this didn't work. I tried several other bits of software (all dsi related) and none of them booted, they just took me to the "An error has occurred." Is there any way to cure this...
     
  2. samiam144

    samiam144 RĂ©gulier

    Member
    2,873
    936
    Aug 19, 2007
    Canada
    Try reinstalling the stock TWL firm, you can find a download on an ISO site or get it from the Nintendo servers with 3DNUS.
     
  3. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    Didn't work, it just does the exact same thing
     
  4. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    do you have luma, or luma dev.
    sometimes Luma dev doesn't like dsiware.
    try updating you luma.
     
  5. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    I have normal luma and the latest update, dsiware was working earlier
     
  6. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    did you try a Nand backup?
     
  7. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    not yet, i think i might of done one right after i ruined it

    — Posts automatically merged - Please don't double post! —

    before*
     
  8. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    ok well I would make a backup of your nand now,
    and then flash your old one. MAKE SURE YOU KNOW WHICH ONE IS WHICH.
     
  9. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    i have flashed the nand and dsi games are still not working, would recovery mode or downgrading and upgrading again do anything?
     
  10. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    I'm not sure if that's the way to go...
    I think if you use recovery mode with al9h will brick.
    @AuroraWright might be able to help you. do you have a Pre al9h Nand?
     
  11. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    yep, my nand is pre A9LH, but my backups dont go that far...
     
  12. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    what do you mean by
     
  13. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    nvm
     
  14. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    If your out of Al9h, and dsiware is still not working
    starting over still might not work.
     
  15. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    oh, i mean my nand is after a9lh, sorry
     
  16. DeoNaught

    DeoNaught I break all the warranties

    Member
    1,667
    1,915
    Aug 22, 2016
    United States
    Constant Fear
    So you don't have a SysNand Pre al9h
     
  17. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    I'm confused, is pre a9lh that you haven't downloaded a9lh yet, or is it something different
     
  18. orochi115

    orochi115 GBAtemp Regular

    Member
    155
    51
    Jun 8, 2013
    Switzerland
    Did you follow the old guide or new guide (using ctrtransfer) when you installed a9lh?
    If it's the new guide, Did you make a NANDmin backup when you downgraded to 2.1.0?
     
  19. Phya
    OP

    Phya Advanced Member

    Newcomer
    88
    4
    Feb 21, 2016
    United Kingdom
    The UK
    Nope, none of them
     
  20. orochi115

    orochi115 GBAtemp Regular

    Member
    155
    51
    Jun 8, 2013
    Switzerland
    None of what, sorry?
    I mean if you used a ctrtransfer 9.2.0 image instead of your own NANDmin backup, you may be screwed up for now.